
#include "device_registers.h"           /* Device header */
#include "cmsis_os2.h"                  /* ::CMSIS:RTOS2 */

extern void                 app_main (void *arg);
extern uint64_t             app_main_stk[];
extern const osThreadAttr_t app_main_attr;


/*----------------------------------------------------------------------------
  configure SystemCoreClock:
 *----------------------------------------------------------------------------*/
void SystemCoreClockConfigure(void) {

}

/*----------------------------------------------------------------------------
  main function
 *---------------------------------------------------------------------------*/
int main(void)
{
  SystemCoreClockConfigure();                                  /* configure system core clock */
  SystemCoreClockUpdate();                                     /* update System Core Clock info */

  osKernelInitialize();                                        /* initialize CMSIS-RTOS */
                                                               /* create application main thread */
  osThreadNew(app_main, NULL, &app_main_attr);
  if (osKernelGetState() == osKernelReady) {
    osKernelStart();                                           /* start thread execution */
  }
  for (;;);
}
